Create a contact task
curl --request POST \
--url https://connie.ai/api/contacts/{id}/tasks \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"status": "not_started",
"dueDate": "2023-11-07T05:31:56Z",
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
"<string>"
],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://connie.ai/api/contacts/{id}/tasks"
payload = {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"description": "<string>",
"status": "not_started",
"dueDate": "2023-11-07T05:31:56Z",
"assignedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": ["<string>"],
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
description: '<string>',
status: 'not_started',
dueDate: '2023-11-07T05:31:56Z',
assignedTo: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reviewerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tags: ['<string>'],
companyId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://connie.ai/api/contacts/{id}/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>",
"status": "not_started",
"priority": "low",
"due_date": "2023-11-07T05:31:56Z",
"assigned_to": "<string>",
"reviewer_id": "<string>",
"tags": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"comment_count": 123,
"recent_comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_id": "<string>",
"user_id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]
}
}Contact Tasks
Create a contact task
POST
/
contacts
/
{id}
/
tasks
Create a contact task
Authorizations
Path Parameters
Body
application/json
Maximum string length:
500Maximum string length:
10000Available options:
not_started, in_progress, completed, on_hold, blocked, cancelled Available options:
low, medium, high, urgent Response
200 - application/json
Task created
Show child attributes
Show child attributes